{% load navactive %}
{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous">

    <!-- Local CSS -->
    <link rel="stylesheet" href="{% static 'css/main.css' %}">

    {% block style %}<!-- Additional styles -->{%endblock%}

    {% block title %}<title>VW M-plate decoder</title>{% endblock %}
  </head>

  <body>

    <!-- Navigation bar -->
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand" href="#">VW Type 2 ID</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item {% navactive request 'home' %}">
            <a class="nav-link" href="/">{{ 'Home'|upper }}</a>
          </li>
            <li class="nav-item {% navactive request 'mplate_decoder:mplate_index' %}">
            <a class="nav-link" href="{% url 'mplate_decoder:mplate_index' %}">{{ 'M-Plate info'|upper }}</a>
          </li>
          <li class="nav-item {% navactive request 'mplate_decoder:mplate_create' %}">
            <a class="nav-link" href="{% url 'mplate_decoder:mplate_create' %}">{{ 'M-Plate decoder'|upper }}</a>
          </li>
          <li class="nav-item {% navactive request 'mplate_decoder:mplate_about' %}">
            <a class="nav-link" href="{% url 'mplate_decoder:mplate_about' %}">{{ 'About'|upper }}</a>
          </li>
        </ul>
        <form class="form-inline my-2 my-lg-0" action="{% url 'mplate_decoder:search_results' %}" method="get">
          <input name="q" class="form-control mr-sm-2" type="text" placeholder="Search M-codes (e.g. 500)" aria-label="Search">
          <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
        </form>
      </div>
    </nav>

    <!-- Content -->
    <div class="container">
      {% block content %}<!-- Content here -->{% endblock %}
    </div>
    {% block contentnocontainer %}<!-- Content that defines its own container here -->{% endblock %}

    <!-- JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
		  src="https://code.jquery.com/jquery-3.4.1.min.js"
			integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
			crossorigin="anonymous"></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"></script>

    <script
      src="https://unpkg.com/ionicons@4.5.10-0/dist/ionicons.js"
      integrity="SUKVFL96/F3W7HeIynfEsxa4KzwJDaMoDmUg55kklFVgIfxhDIrvEkQIHfLfGV2J"
      crossorigin="anonymous" ></script>

    {% block javascript %}<!-- Additional JavaScript -->{% endblock %}

  </body>
</html>